/**
 * Kode-fil for main
 * (Hentet fra Frode Haug sitt eksempel)
 *
 * @file main.cpp
 * @author (Frode Haug), Sondre Sand & Frederik Simonsen
 */
#include <iostream>
#include "stoppesteder.h"
#include "ruter.h"
#include "funksjoner.h"
#include "LesData3.h"
using namespace std;


Stoppesteder gStoppestederBase; ///< Globalt objekt med stoppesteder
Ruter gRuterBase; ///< Globalt objekt med ruter

//  extern Stoppesteder gStoppestederBase;
//  extern Ruter gRuterBase;

/**
 * Hovedprogrammet:
 */
int main()  {
  char valg;

  gStoppestederBase.lesFraFil();
  gRuterBase.lesFraFil();

  do {
    skrivMeny();
    valg = lesChar("\nKommando");

    switch (valg) {
      case 'S': gStoppestederBase.handling(); break;
      case 'R': gRuterBase.handling(); break;
      default: break;
    }

    cout << '\n';
  } while (valg != 'Q');

  gStoppestederBase.skrivTilFil();
  gRuterBase.skrivTilFil();

  cout << "\n\n";
  return 0;
}
